Bug 1491683 - OSP11 -> OSP12 upgrade: upgrade-non-controller.sh script runs the puppet host configuration steps twice
Summary: OSP11 -> OSP12 upgrade: upgrade-non-controller.sh script runs the puppet host...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 12.0 (Pike)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: beta
: 12.0 (Pike)
Assignee: Marius Cornea
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-14 12:03 UTC by Marius Cornea
Modified: 2018-02-05 19:12 UTC (History)
8 users (show)

Fixed In Version: openstack-tripleo-heat-templates-7.0.1-0.20170927205938.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-13 22:08:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1717244 0 None None None 2017-09-14 12:04:43 UTC
OpenStack gerrit 504038 0 None None None 2017-09-14 12:04:30 UTC
OpenStack gerrit 504868 0 None None None 2017-10-10 14:27:56 UTC
Red Hat Product Errata RHEA-2017:3462 0 normal SHIPPED_LIVE Red Hat OpenStack Platform 12.0 Enhancement Advisory 2018-02-16 01:43:25 UTC

Description Marius Cornea 2017-09-14 12:03:56 UTC
OSP11 -> OSP12 overcloud upgrade: upgrade-non-controller.sh script runs the puppet host configuration steps twice. After landing https://review.openstack.org/#/c/503484/ we run the puppet host configuration steps twice. This change removes the deploy_steps_tasks.yaml playbook in order to run the puppet steps only once.

We can notice in the upgrade log of a compute node:

(overcloud) [stack@undercloud-0 ~]$ grep 'puppet host configuration' compute-0-upgrade.log
TASK [Run puppet host configuration for step 0] ********************************
TASK [Run puppet host configuration for step 1] ********************************
TASK [Run puppet host configuration for step 2] ********************************
TASK [Run puppet host configuration for step 3] ********************************
TASK [Run puppet host configuration for step 4] ********************************
TASK [Run puppet host configuration for step 5] ********************************
TASK [Run puppet host configuration for step 0] ********************************
TASK [Run puppet host configuration for step 1] ********************************
TASK [Run puppet host configuration for step 2] ********************************
TASK [Run puppet host configuration for step 3] ********************************
TASK [Run puppet host configuration for step 4] ********************************
TASK [Run puppet host configuration for step 5] ********************************

Comment 6 errata-xmlrpc 2017-12-13 22:08:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:3462


Note You need to log in before you can comment on or make changes to this bug.